SnozeDevelopers
API referenceAdmin deals

Read one enterprise deal

The deal with its workspace, live billable seats, monthly value and subscription status. Platform admins only; an unknown `dealId` is reported as not found.

GET
/v1/admin/deals/{dealId}
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

dealId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/admin/deals/string"
{  "data": {    "deal": {      "id": "string",      "workspaceId": "string",      "status": "draft",      "label": "string",      "customerName": "string",      "billingEmail": "string",      "notes": "string",      "billingMode": "polar",      "pricingModel": "per_seat",      "amountCents": 2147483647,      "currency": "string",      "interval": "month",      "committedSeats": 100000,      "startsAt": "string",      "endsAt": "string",      "autoRenew": true,      "maxEditorSeats": 0,      "maxRecords": 0,      "automationRunsBasePerMonth": 0,      "automationRunsPerSeatPerMonth": 0,      "maxAutomations": 0,      "maxDashboards": 0,      "maxForms": 0,      "maxStorageBytes": 0,      "historyRetentionDays": 0,      "features": [        "integrations"      ],      "aiMonthlyPoolMicrousd": 2147483647,      "aiMonthlyPerSeatMicrousd": 2147483647,      "aiBurstMicrousd": 2147483647,      "aiAutoWindowMicrousd": 2147483647,      "aiAutoDailyMicrousd": 2147483647,      "polarProductId": "string",      "polarCheckoutUrl": "string",      "polarSubscriptionId": "string",      "activatedAt": "string",      "endedAt": "string",      "endedReason": "string",      "createdAt": "string",      "updatedAt": "string"    },    "workspaceName": "string",    "workspaceSlug": "string",    "billableSeats": 0,    "mrrCents": 0,    "subscriptionStatus": "string"  }}